%define libname     %mklibname %name
%define develname   %mklibname -d %name

Name:       caja-actions
Version:    1.8.1
Release:    %mkrel 3
Group:      Graphical desktop/MATE
License:    GPLv2+ and LGPLv2+
Summary:    Caja extension for customizing the context menus

URL:        https://github.com/NiceandGently/caja-actions
Source0:    http://raveit65.fedorapeople.org/Mate/SOURCE/%{name}-%{version}.tar.xz

BuildRequires:    pkgconfig(libcaja-extension) >= 1.16.0
BuildRequires:    pkgconfig(uuid)
BuildRequires:    pkgconfig(sm) >= 1.0
BuildRequires:    pkgconfig(unique-3.0)
BuildRequires:    mate-common
BuildRequires:    pkgconfig(libxml-2.0) >= 2.6
BuildRequires:    pkgconfig(ice)
BuildRequires:    pkgconfig(libgtop-2.0) >= 2.23.1
BuildRequires:    pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:    pkgconfig(glib-2.0) >= 2.24.0
BuildRequires:    yelp-tools
BuildRequires:    itstool

Requires:         %{libname} = %{version}-%{release}
Obsoletes:        %{name} < %{version}-%{release}

%description
Caja actions is an extension for Caja, the MATE file manager.
It provides an easy way to configure programs to be launch on files
selected in Caja interface

%package -n %{name}-docs
Summary:    Documentations for %{name}
Group:      Documentation
BuildArch:  noarch

%description -n %{name}-docs
This package contains the documentation for %{name}

%package -n %{libname}
Summary:    %{name} libraries
Group:      System/Libraries

%description -n %{libname}
Runtime libraries for %{name}

%package -n %{develname}
Summary:    Development tools for the %{name}
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains headers and shared libraries needed for development
with caja-actions.

%prep
%autosetup

%build
#NOCONFIGURE=1 ./autogen.sh
%configure2_5x \
    --with-gtk=3 \
    --disable-scrollkeeper \
    --enable-gtk-doc \
    --enable-html-manuals \
    --enable-deprecated

%make

%install
%makeinstall_std

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'

# clean docs dirs
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/INSTALL
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2008
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2009
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2010
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2011
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2012
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/MAINTAINERS

%check
desktop-file-validate  %{buildroot}%{_datadir}/applications/cact.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/caja-actions-run
%{_bindir}/caja-actions-config-tool
%{_bindir}/caja-actions-new
%{_bindir}/caja-actions-print
%{_libexecdir}/caja-actions/
%{_datadir}/caja-actions/
%{_datadir}/icons/hicolor/*/apps/caja-actions.*
%{_datadir}/applications/cact.desktop
%{_datadir}/help/*/caja-actions-config-tool

%files -n %{libname}
%{_libdir}/caja-actions/
%{_libdir}/caja/extensions-2.0/libcaja-actions-menu.so
%{_libdir}/caja/extensions-2.0/libcaja-actions-tracker.so

%files -n %{name}-docs
%doc AUTHORS ChangeLog NEWS README
%{_docdir}/caja-actions-%{version}/html/
%{_docdir}/caja-actions-%{version}/pdf/
%{_docdir}/caja-actions-%{version}/objects-hierarchy.odg
%{_docdir}/caja-actions-%{version}/AUTHORS
%{_docdir}/caja-actions-%{version}/ChangeLog
%{_docdir}/caja-actions-%{version}/NEWS
%{_docdir}/caja-actions-%{version}/README
%{_docdir}/caja-actions-%{version}/COPYING
%{_docdir}/caja-actions-%{version}/COPYING-DOCS

%files -n %{develname}
%{_includedir}/caja-actions/
%{_datadir}/gtk-doc/html/caja-actions-3/


%changelog
* Sat Jan 07 2017 tarakbumba <tarakbumba> 1.8.1-3.mga6
+ Revision: 1080526
- Rebuild with gtk+3 for Mate 1.16 and above

* Sat Feb 20 2016 umeabot <umeabot> 1.8.1-2.mga6
+ Revision: 972465
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.8.1-1.mga6
+ Revision: 898535
-Update to 1.12.0 version

* Wed Jun 24 2015 tarakbumba <tarakbumba> 1.8.0-1.mga6
+ Revision: 842510
- Update to 1.8.0 version
- Drop "open as root" and "open with pluma" actions

* Wed Oct 15 2014 umeabot <umeabot> 1.7.1-5.mga5
+ Revision: 747160
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.7.1-4.mga5
+ Revision: 693556
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.7.1-3.mga5
+ Revision: 678289
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Jun 03 2014 tarakbumba <tarakbumba> 1.7.1-2.mga5
+ Revision: 632678
- Rebuild for libgtop2-2.30.0

* Tue Mar 25 2014 tarakbumba <tarakbumba> 1.7.1-1.mga5
+ Revision: 608663
- Update to version 1.7.1

* Sun Mar 23 2014 tarakbumba <tarakbumba> 1.7.0-1.mga5
+ Revision: 606727
- Update to version 1.7.0

* Sun Mar 09 2014 tarakbumba <tarakbumba> 1.6.2-3.mga5
+ Revision: 601492
- Use gnome-doc-utils until yelp-tools migration

* Fri Feb 28 2014 tarakbumba <tarakbumba> 1.6.2-2.mga5
+ Revision: 597963
- Added easy actions

* Tue Dec 10 2013 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 556217
- imported package caja-actions

